ruby-ferret_0.11.8.6-2+b2_amd64.deb


Advertisement

Description

ruby-ferret - full text search engine library for Ruby

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-ferret
Package version 0.11.8.6
Package release 2+b2
Package architecture amd64
Package type deb
Installed size 1.25 KB
Download size 297.74 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-ferret_0.11.8.6-2+b2_i386.deb 0.11.8.6 i386 Debian Main
ruby-ferret - - -

Requires

Name Value
libbz2-1.0 -
libc6 >= 2.14
libgmp10 -
libruby2.5 >= 2.5.0~preview1
ruby << 1:2.6~
ruby >= 1:2.5~0

Download

Type URL
Binary Package ruby-ferret_0.11.8.6-2+b2_amd64.deb
Source Package ruby-ferret

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-ferret deb package:
    # sudo apt-get install ruby-ferret

Files

Path
/usr/bin/ferret-browser
/usr/lib/ruby/vendor_ruby/ferret.rb
/usr/lib/ruby/vendor_ruby/ferret/browser.rb
/usr/lib/ruby/vendor_ruby/ferret/document.rb
/usr/lib/ruby/vendor_ruby/ferret/field_infos.rb
/usr/lib/ruby/vendor_ruby/ferret/field_symbol.rb
/usr/lib/ruby/vendor_ruby/ferret/index.rb
/usr/lib/ruby/vendor_ruby/ferret/number_tools.rb
/usr/lib/ruby/vendor_ruby/ferret/version.rb
/usr/lib/ruby/vendor_ruby/ferret/browser/webrick.rb
/usr/lib/ruby/vendor_ruby/ferret/browser/s/global.js
/usr/lib/ruby/vendor_ruby/ferret/browser/s/style.css
/usr/lib/ruby/vendor_ruby/ferret/browser/views/layout.rhtml
/usr/lib/ruby/vendor_ruby/ferret/browser/views/document/list.rhtml
/usr/lib/ruby/vendor_ruby/ferret/browser/views/document/show.rhtml
/usr/lib/ruby/vendor_ruby/ferret/browser/views/error/index.rhtml
/usr/lib/ruby/vendor_ruby/ferret/browser/views/help/index.rhtml
/usr/lib/ruby/vendor_ruby/ferret/browser/views/home/index.rhtml
/usr/lib/ruby/vendor_ruby/ferret/browser/views/term/index.rhtml
/usr/lib/ruby/vendor_ruby/ferret/browser/views/term/termdocs.rhtml
/usr/lib/ruby/vendor_ruby/ferret/browser/views/term-vector/index.rhtml
/usr/lib/x86_64-linux-gnu/ruby/vendor_ruby/2.5.0/ferret_ext.so
/usr/share/doc/ruby-ferret/README
/usr/share/doc/ruby-ferret/RELEASE_NOTES
/usr/share/doc/ruby-ferret/TUTORIAL.gz
/usr/share/doc/ruby-ferret/changelog.Debian.amd64.gz
/usr/share/doc/ruby-ferret/changelog.Debian.gz
/usr/share/doc/ruby-ferret/changelog.gz
/usr/share/doc/ruby-ferret/copyright
/usr/share/man/man1/ferret-browser.1.gz
/usr/share/rubygems-integration/2.5.0/specifications/ferret-0.11.8.6.gemspec

Changelog

2016-06-07 - Cédric Boutillier <boutil@debian.org>
ruby-ferret (0.11.8.6-2) unstable; urgency=medium
* Bump debhelper compatibility level to 9
* Remove version in the gem2deb build-dependency
* Use https:// in Vcs-* fields
* Bump Standards-Version to 3.9.8 (no changes needed)
* Run wrap-and-sort on packaging files
* Add support for arm64 (Closes: #770922). Thanks Edmund Grimley Evans for
the patch
* Fix repetition in copyright file
* Remove info about bzlib/BSD-4-clause in copyright
* Set Testsuite to autopkgtest-pkg-ruby
2015-07-14 - Antonio Terceiro <terceiro@debian.org>
ruby-ferret (0.11.8.6-1) unstable; urgency=medium
* New upstream release
- ported to ruby2.2
* debian/copyright: add Files-Excluded to remove embedded copy of bzlib
* debian/rules: stop removing embedded copy fo bzlib which won't exist
anymore (Closes: #743909)
2013-11-25 - Cédric Boutillier <boutil@debian.org>
ruby-ferret (0.11.8.5-1) unstable; urgency=low
* Imported Upstream version 0.11.8.5
* debian/control:
+ remove obsolete DM-Upload-Allowed flag
+ use canonical URI in Vcs-* fields
+ update my email address
+ bump Standards-Version to 3.9.5 (no changes needed)
+ drop transitional packages
* Remove single-debian-patch option
* Drop fix_compatibility_with_minitest.patch and
block_variables_have_local_scopes.patch (applied upstream)
* Remove indications that the source has been repacked (not true anymore)
* Remove embedded copy of bzlib when cleaning instead of repacking
* Add copyright notice for the embedded copy of bzlib
* Install RELEASE_NOTES as documentation
2012-06-26 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-ferret (0.11.8.4+debian-2) unstable; urgency=low
* Bump build dependency on gem2deb to >= 0.3.0~
2012-06-14 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-ferret (0.11.8.4+debian-1) unstable; urgency=low
* New upstream version from a new source
+ the new code fixes format security issues (Closes: #672069)
+ change homepage to https://github.com/jkraemer/ferret/
* Build for all Ruby versions (Closes: #655636)
+ change depends accordingly
+ do not set shebang of bin/ferret to ruby1.8
* Repack source to remove convenience copy of bzlib
+ build-dep on libbz2-dev
+ dversionmangle in debian/watch
+ add debian/README.source explaining how to clean the source
* debian/patches:
+ disable_load_path_manipulation.patch: do not override $LOAD_PATH
+ disable_test_causing_segfault.patch: temporarily disable a test known to
cause segfaults
+ fix_compatibility_with_minitest.patch: fix a failing test with Ruby1.9
+ use_system_bzlib.patch: adapt the source to use system libbz2
+ fix_typos_in_source_code.patch: correct some spelling errors in the
source code
+ block_variables_have_local_scopes.patch: fix syntax in
bin/ferret-browser
* Override dh_auto_clean to remove test/temp when cleaning
* Bump Standards-Version to 3.9.3 (no changes needed)
* Set priority of transitional packages to extra
* Add myself to Uploaders:
* Update copyright to DEP-5 copyright-format/1.0
* Add TUTORIAL and debian/README.source to documents
* Override lintian warnings about duplicate descriptions of transitional
packages
2011-07-28 - Antonio Terceiro <terceiro@debian.org>
ruby-ferret (0.11.6-3) unstable; urgency=low
* Rename package to ruby-ferret and migrate to gem2deb.
* Moved source to pkg-ruby-extras git repos, Vcs-* fields adjusted
accordingly.
* debian/copyright rewriten in DEP-5 format and more complete

See Also

Package Description
ruby-ffaker_2.8.1-1_all.deb ffaker generates dummy data
ruby-ffi-bit-masks_0.1.1-1_all.deb Adds support for bit-masked types in FFI
ruby-ffi-rzmq-core_1.0.6-1_all.deb FFI wrapper around the ZeromMQ (ØMQ) networking library for Ruby
ruby-ffi-rzmq_2.0.6-1_all.deb FFI based Ruby bindings for ZeroMQ (ØMQ) networking library
ruby-ffi-yajl_2.3.1-1+b1_amd64.deb Ruby FFI wrapper around YAJL 2.x
ruby-ffi_1.9.10debian-1+b4_amd64.deb load dynamic libraries, bind functions from within ruby code
ruby-fftw3_1.0.2-2_amd64.deb Ruby interface to the FFTW Ver.3 library
ruby-file-tail_1.1.1-2_all.deb Ruby library for following still-growing files
ruby-filepath_0.7-1_all.deb small library to manipulate paths
ruby-filesystem_0.5-5.1+b8_amd64.deb Ruby extension for file-system information
ruby-fission_0.5.0-2_all.deb Command line tool to manage VMware Fusion VMs
ruby-fix-trinity-output_1.0.0-1_all.deb Fix output fastq files from trinityrnaseq
ruby-fixwhich_1.0.2-1_all.deb ruby module that emulates the 'which' program
ruby-flexmock_2.0.4-1_all.deb simple and flexible mock objects for testing
ruby-flipper_0.13.0-3_all.deb Feature flipper for ANYTHING
Advertisement
Advertisement